%define upstream_name    AI-Termites
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Artificial termites simulation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/AI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Math::Vector::Real)
BuildRequires: perl(Math::Vector::Real::MultiNormalMixture)
BuildRequires: perl(Math::Vector::Real::Random)
BuildRequires: perl(Math::Vector::Real::kdTree)
BuildRequires: perl(Math::nSphere)
BuildArch: noarch

%description
This module simulates a termites world based on the ideas described on the
book "Adventures in Modeling" by Vanessa Stevens Colella, Eric Klopfer and
Mitchel Resnick (the http://education.mit.edu/starlogo/adventures/
manpage).

In this version, termites can move in a n-dimensional boxed space, and are
not limited to integer coordinates.

Also, the way they decide when to pick or leave wood are customizable,
allowing to investigate how changing the rules affects the emergent
behaviors.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.20.0-8.mga6
+ Revision: 1022214
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.20.0-7.mga6
+ Revision: 949282
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.20.0-6.mga5
+ Revision: 789536
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.20.0-5.mga5
+ Revision: 745276
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20.0-4.mga5
+ Revision: 683411
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.20.0-3.mga4
+ Revision: 508923
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-2.mga3
+ Revision: 362759
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jun 30 2011 jquelin <jquelin> 0.20.0-1.mga2
+ Revision: 116554
- imported package perl-AI-Termites


* Thu Jun 30 2011 cpan2dist 0.02-1mga
- initial mageia release, generated with cpan2dist
